Foxit PDF SDK

Instance Methods | Properties | List of all members
FSChoiceOption Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithOption:
| Constructor, with another choice option object. More...
(id) | - initWithOption_value:option_label:selected:default_selected:
| Constructor, with parameters. More...
(void) | - set:option_label:selected:default_selected:
| Set value. More...

## Properties
BOOL | default_selected
| Used to indicate whether the option would be selected by default or not.
NSString * | option_label
| The displayed string value for the option.
NSString * | option_value
| The option string value.
BOOL | selected
| Used to indicate whether the option is selected or not.

## Detailed Description

This class represents the data of an option in list box or combo box.

## Method Documentation

## ◆ initWithOption:()

- (id) initWithOption: |  | (FSChoiceOption*) | option |

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## ◆ initWithOption_value:option_label:selected:default_selected:()

- (id) initWithOption_value: |  | (NSString *) | option_value
option_label: |  | (NSString *) | option_label
selected: |  | (BOOL) | selected
default_selected: |  | (BOOL) | default_selected

Constructor, with parameters.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and NO means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and NO means the option would not be selected by default.

## ◆ set:option_label:selected:default_selected:()

- (void) set: |  | (NSString *) | option_value
option_label: |  | (NSString *) | option_label
selected: |  | (BOOL) | selected
default_selected: |  | (BOOL) | default_selected

Set value.

Parameters

  [in] | option_value | The option string value.
  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and NO means the option is not selected.
  [in] | default_selected | true means the option would be selected by default, and NO means the option would not be selected by default.

Returns
  None.